AvrLogger : Thermallogger und Visualisierung Tool

darkmerlin1512

Benutzer
Mitglied seit
16. Okt 2009
Beiträge
74
Punkte für Reaktionen
2
Punkte
8
Ordner gibt es in /var/packages/ keinen.
Fehlermeldung:
Logfile:

Fehler
System
2021/03/08 11:19:57
admin
Failed to install package [AvrLogger].




DSM7-AVRLogger.jpg
 
Zuletzt bearbeitet:

Elfo

Benutzer
Mitglied seit
16. Feb 2021
Beiträge
47
Punkte für Reaktionen
22
Punkte
64
@darkmerlin1512 Bei mir musste gestern erst das Python 3 Paket installiert werden bevor es weiter ging mit der AVRLogger Installation. Kann es das sein?

Frage an die Runde hier: Wo finde ich denn den korrekten Ablauf der Schritte im Falle einer Deinstallation von AVRLogger?

Grüße
Ralph
 

darkmerlin1512

Benutzer
Mitglied seit
16. Okt 2009
Beiträge
74
Punkte für Reaktionen
2
Punkte
8
@Elfo bei der DSM 7 ist das Python bereits mit drin, muss man nicht extra installieren, wenn es fehlen würde, würde es ja bei der anhängigkeitsprüfung angezeigt. der @BigRonin hatte es mir am 15.12.2020 schon geschrieben, wo ich nach dem Update auf DSM 7 gefragt hatte.

grüße Ralf
 

BigRonin

Benutzer
Mitglied seit
08. Mai 2015
Beiträge
1.038
Punkte für Reaktionen
88
Punkte
74
Schau doch bitte mal ob:
Bash:
cat /var/log/bash_err.log grep -v grep | grep AvrLogger

was näheres sagt. So ganz ohne einen Hinweis bin ich aufgeschmissen.
 

darkmerlin1512

Benutzer
Mitglied seit
16. Okt 2009
Beiträge
74
Punkte für Reaktionen
2
Punkte
8
der Tip war richtig: /usr/syno/etc/packages/AvrLogger/
alter Ordner nach da(von der Installation aus Dezember), gelöscht, läuft

2021-03-07T22:42:51+01:00 DS1621 sh[9101]: BASH_ERR: internal_error [ (10289)"synoscgi" -> (8962)"synoscgi_SYNO.Core.Package.Installation_1_install" -> (9101)"/bin/sh /volume1/@tmp/pkginstall/extract.SGbmVD/scripts/preinst" ] /volume1/@tmp/pkginstall/extract.SGbmVD/scripts/common.sh: line 60: /usr/syno/etc/packages/AvrLogger/AvrLogger.log: Permission denied
 

BigRonin

Benutzer
Mitglied seit
08. Mai 2015
Beiträge
1.038
Punkte für Reaktionen
88
Punkte
74

darkmerlin1512

Benutzer
Mitglied seit
16. Okt 2009
Beiträge
74
Punkte für Reaktionen
2
Punkte
8

delocke

Benutzer
Mitglied seit
05. Feb 2011
Beiträge
37
Punkte für Reaktionen
0
Punkte
6
Hallo,
bekomme das Paket nicht zum laufen und erhalte folgende Fehlermeldung:

You do not have the necessary permissions to access this page.​

If this is a mistake, please contact your administrator.​

Also check in the Control Panel under Security, the item:​

"Improve protection against cross-site request forgery attacks"

is selected. Enable this feature and log in to the DSM again.​

In some cases it helped if AvrLogger was installed under the real admin.​


Daten:
DS 216 II
DSM 6.2.4-25556
Account: Admin
CS requests aktiviert

Folgender Error-Log, aus dem ich nicht schlau werde:

Error-Log :


---------------------------------------------------------------------------------
2021.04.12 16:16:11 PostInst : INSTALL v3.0.2-001
---------------------------------------------------------------------------------
2021.04.12 16:16:11 PostInst : Renamed "/helptoc" to "/.helptoc"
2021.04.12 16:16:11 PostInst : Directory structure "etc" created
2021.04.12 16:16:11 PostInst : Use of "Shared Memory" is enabled
2021.04.12 16:16:11 PostInst : Config "Default.cnf" created
2021.04.12 16:16:11 PostInst : Global TimeOut set to "10"
2021.04.12 16:16:11 PostInst : Symbolic link in 3rdparty created
---------------------------------------------------------------------------------
2021.04.12 16:16:11 AvrLogger v3.0.2-001 INSTALL successful.
---------------------------------------------------------------------------------
2021.04.12 16:16:20 PKG: AvrLogger was started by DSM ...
Traceback (most recent call last):
File "/var/packages/AvrLogger/target/ui/AvrLogger.py", line 123, in
Init.init()
File "/var/packages/AvrLogger/target/ui/lib/Init.py", line 105, in init
Ookla.init()
File "/var/packages/AvrLogger/target/ui/lib/Ookla.py", line 1499, in init
UpdateServerList()
File "/var/packages/AvrLogger/target/ui/lib/Ookla.py", line 1473, in UpdateServerList
CUR, GUI, RAW = shell( opt=True, force=True )
File "/var/packages/AvrLogger/target/ui/lib/Ookla.py", line 1259, in shell
speedtest = Speedtest( timeout=args.timeout, secure=args.secure )
File "/var/packages/AvrLogger/target/ui/lib/Ookla.py", line 709, in __init__
self.get_config()
File "/var/packages/AvrLogger/target/ui/lib/Ookla.py", line 772, in get_config
ignore_servers = list( map( int, server_config['ignoreids'].split(',') ) )
ValueError: invalid literal for int() with base 10: ''
2021.04.12 16:26:50 PKG: AvrLogger was started by DSM ...
Traceback (most recent call last):
File "/var/packages/AvrLogger/target/ui/AvrLogger.py", line 123, in
Init.init()
File "/var/packages/AvrLogger/target/ui/lib/Init.py", line 105, in init
Ookla.init()
File "/var/packages/AvrLogger/target/ui/lib/Ookla.py", line 1499, in init
UpdateServerList()
File "/var/packages/AvrLogger/target/ui/lib/Ookla.py", line 1473, in UpdateServerList
CUR, GUI, RAW = shell( opt=True, force=True )
File "/var/packages/AvrLogger/target/ui/lib/Ookla.py", line 1259, in shell
speedtest = Speedtest( timeout=args.timeout, secure=args.secure )
File "/var/packages/AvrLogger/target/ui/lib/Ookla.py", line 709, in __init__
self.get_config()
File "/var/packages/AvrLogger/target/ui/lib/Ookla.py", line 772, in get_config
ignore_servers = list( map( int, server_config['ignoreids'].split(',') ) )
ValueError: invalid literal for int() with base 10: ''


Jemand eine Idee?
thx
 

oschmidt

Benutzer
Mitglied seit
17. Sep 2020
Beiträge
39
Punkte für Reaktionen
9
Punkte
58
Ich habe für meine DSM7 Programmpakete einen SPK Server erstellt: spk.luenepiet.de (siehe Signatur). Einfach als Paketquelle hinzufügen.
Moin moin, ist das noch aktuell? Ich wollte es gerade auf meiner 920+ mit DSM7 ausprobieren jedoch erhalte ich als Antwort immer "Ungültiger Speicherort" vom Paket-Zentrum.
 
  • Like
Reaktionen: Steve P

peterhoffmann

Benutzer
Mitglied seit
17. Dez 2014
Beiträge
4.396
Punkte für Reaktionen
678
Punkte
194
Der Ersteller vom AvrLogger (BigRonin) hat sich leider seit 3,5 Monaten nicht mehr im Forum zu Wort gemeldet.
 

Joker1510

Benutzer
Mitglied seit
17. Feb 2021
Beiträge
9
Punkte für Reaktionen
1
Punkte
9
Heute ist ein Update über das Paketzentrum reingekommen. 3.0.2.002 - Aber was verändert wurde steht nicht dabei. Mich würde mal interessieren wie das jetzt mit DSM7 aussieht. Daran gearbeitet wird also noch. :D
 

AndiHeitzer

Benutzer
Mitglied seit
30. Jun 2015
Beiträge
2.644
Punkte für Reaktionen
268
Punkte
129
Ort
Markt Schwaben
Die V3.0.2.002 ist vom Februar/März diesen Jahres ... :unsure:
 

darkmerlin1512

Benutzer
Mitglied seit
16. Okt 2009
Beiträge
74
Punkte für Reaktionen
2
Punkte
8
moin, auf meinen Synos wurde gestern 4.0.2-002 angeboten und von mir installiert (DSM7)
 
  • Like
Reaktionen: Kurt-oe1kyw

Joker1510

Benutzer
Mitglied seit
17. Feb 2021
Beiträge
9
Punkte für Reaktionen
1
Punkte
9
Die V3.0.2.002 ist vom Februar/März diesen Jahres ... :unsure:
Gude.
Kann gut sein dass ich in DSM6 nur das alte Paket (3.0.2.002) angezeigt bekomme. Bisher habe ich noch kein Upgrade auf DSM7 durchgeführt, da meine RS3617xs definitiv fehlerfrei laufen muss. Alle anderen Geräte laufen bereits mit DSM7 aber ohne Logger.
moin, auf meinen Synos wurde gestern 4.0.2-002 angeboten und von mir installiert (DSM7)
Auf welchem Modell läuft es bei dir? Läuft es Fehlerfrei?
 

darkmerlin1512

Benutzer
Mitglied seit
16. Okt 2009
Beiträge
74
Punkte für Reaktionen
2
Punkte
8
auf denen läuft es ohne Probleme:
-DS1621+ (DSM 7.0.1-42214)
-DS916+(DSM 7.0.1-42214)

auf dem Cluster nicht, suche noch den fehler:
-HA ClusterRS1219+ (DSM 7.0.1-42214)
 
  • Like
Reaktionen: Kurt-oe1kyw

geimist

Benutzer
Mitglied seit
04. Jan 2012
Beiträge
3.687
Punkte für Reaktionen
252
Punkte
149

Kurt-oe1kyw

Benutzer
Mitglied seit
10. Mai 2015
Beiträge
6.735
Punkte für Reaktionen
481
Punkte
209
Doch es ist da.

Im DSM 7.0.1RC als Paketquelle Eintragen: spk.luenepiet.de

avrlogger_402_002.png

aber auf meiner DS118 stoppt es noch.
 
Zuletzt bearbeitet:

buzztee

Benutzer
Mitglied seit
21. Mai 2018
Beiträge
16
Punkte für Reaktionen
0
Punkte
1
Ort
H
Die Version habe ich gestern versucht zu installieren und einen Fehler bekommen. Deinstallation/Repair schlug Fehlt. ich musste dann über SSH die Paketreste manuell entfernen und habe es noch nicht wieder versucht.